## epiphany-browser 3.30.1

=== debian/changelog ===
epiphany-browser (3.30.1-1ubuntu2) cosmic; urgency=medium

  * Opt out of Ubuntu language packs since this package may be
    updated with translatable changes more frequently than Ubuntu language
    packs will be updated in Ubuntu stable releases.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 11 Oct 2018 14:04:12 -0400

epiphany-browser (3.30.1-1ubuntu1) cosmic; urgency=medium

  * Sync with Debian. Remaining change:
    - Modify 07_bookmarks.patch:
      + Add Ubuntu-specific default bookmarks, borrowed from Firefox

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 10 Oct 2018 19:02:09 -0400

epiphany-browser (3.30.1-1) unstable; urgency=medium

  * New upstream release (LP: #1797254)

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 10 Oct 2018 18:58:51 -0400

epiphany-browser (3.30.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 15 Sep 2018 08:29:17 -0400

epiphany-browser (3.30.0-1ubuntu1) cosmic; urgency=medium

  * Sync with Debian (LP: #1773028). Remaining change:
    - Modify 07_bookmarks.patch:
      + Add Ubuntu-specific default bookmarks, borrowed from Firefox

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 04 Sep 2018 11:54:12 -0400

epiphany-browser (3.30.0-1) experimental; urgency=medium

  * New upstream release
  * Add X-Ubuntu-Use-Langpack to opt in to Ubuntu language pack handling
    (LP: #1779574)
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 04 Sep 2018 11:26:03 -0400

epiphany-browser (3.29.91-2) experimental; urgency=medium

  * Bump minimum libwebkit2gtk-4.0-dev to first working version in Debian

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 23 Aug 2018 17:33:30 -0400

epiphany-browser (3.29.91-1ubuntu1) cosmic; urgency=medium

  * Sync with Debian (LP: #1773028). Remaining change:
    - Modify 07_bookmarks.patch:
      + Add Ubuntu-specific default bookmarks, borrowed from Firefox

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Aug 2018 15:36:40 -0400

epiphany-browser (3.29.91-1) experimental; urgency=medium

  * New upstream development release
    - This release drops support for NPAPI plugins
  * Drop recommends for libwebkit2gtk-4.0-37-gtk2 & browser-plugin-evince
    because NPAPI plugins aren't supported
  * Bump minimum libwebkit2gtk-4.0-dev to 2.21.5
  * Build-depend on libdazzle-1.0-dev
  * debian/epiphany-browser.docs: README renamed to README.md
  * Add Disable-webapps-test to avoid new failing test

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 23 Aug 2018 15:29:13 -0400

epiphany-browser (3.28.3.1-1) unstable; urgency=medium

  * New upstream release (Closes: #901018)
    - Includes fixes for CVE-2018-11396 and CVE-2018-12016
  * Drop session-Fix-crash-when-JS-opens-an-invalid-URI.patch: Applied

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 23 Aug 2018 15:01:46 -0400

epiphany-browser (3.28.2.1-1ubuntu1) cosmic; urgency=medium

  * Sync with Debian (LP: #1773028). Remaining change:
    - Modify 07_bookmarks.patch:
      + Add Ubuntu-specific default bookmarks, borrowed from Firefox

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 23 May 2018 18:25:13 -0400

epiphany-browser (3.28.2.1-1) unstable; urgency=medium

  * New upstream release (LP: #1773026)
  * Drop disable-tests.patch: Applied in new release
  * Add session-Fix-crash-when-JS-opens-an-invalid-URI.patch:
    Cherry-pick patch to fix CVE-2018-11396 (Closes: #899409)

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 23 May 2018 18:05:28 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: epiphany-browser
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper (>= 11),
               gnome-pkg-tools (>= 0.10),
               pkg-config,
               libdazzle-1.0-dev (>= 3.28.0),
               libgdk-pixbuf2.0-dev (>= 2.36.5),
               libglib2.0-dev (>= 2.52.0),
               libgtk-3-dev (>= 3.22.13),
               libxml2-dev (>= 2.6.12),
               libxslt1-dev (>= 1.1.7),
               libsoup-gnome2.4-dev (>= 2.48.0),
               libgcr-3-dev (>= 3.5.5),
               libsqlite3-dev,
               libjson-glib-dev (>= 1.2.0),
               nettle-dev (>= 3.4),
               libnotify-dev (>= 0.5.1),
               libxml-parser-perl,
               libwebkit2gtk-4.0-dev (>= 2.21.91-2),
               libsecret-1-dev (>= 0.14),
               lsb-release,
               meson (>= 0.42.0),
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev (>= 0.10.7-1~),
               iso-codes (>= 0.35),
               itstool,
               gtk-doc-tools (>= 1.0),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               appstream-util
Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
Standards-Version: 4.2.1
Vcs-Browser: https://code.launchpad.net/~ubuntu-desktop/ubuntu/+source/epiphany-browser/+git/epiphany-browser
Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/epiphany-browser
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/epiphany-browser
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/epiphany-browser.git
Homepage: https://wiki.gnome.org/Apps/Web

Package: epiphany-browser
Architecture: any
Depends: epiphany-browser-data (>= ${source:Version}),
         ${shlibs:Depends},
         default-dbus-session-bus | dbus-session-bus,
         iso-codes,
         gsettings-desktop-schemas,
         ${misc:Depends}
Conflicts: swfdec-mozilla
Recommends: yelp,
            evince,
            ca-certificates,
Provides: www-browser, gnome-www-browser
Description: Intuitive GNOME web browser
 Epiphany is a simple yet powerful GNOME web browser targeted at
 non-technical users. Its principles are simplicity and standards
 compliance.
 .
 Simplicity is achieved by a well designed user interface and reliance
 on external applications for performing external tasks (such as reading
 email). Simplicity does not mean less features; Epiphany has everything
 a modern web browser is expected to have.
 .
 Standards compliance is achieved on the HTML side by using the
 WebKitGTK+ rendering engine (which is based on the engine used by
 Apple Safari and Google Chrome); and on the user interface side by
 closely following the GNOME Human Interface Guidelines (HIG) and by
 close integration with the GNOME desktop.

Package: epiphany-browser-data
Architecture: all
Depends: ${misc:Depends}
Recommends: epiphany-browser
Description: Data files for the GNOME web browser
 Epiphany is a simple yet powerful GNOME web browser targeted at
 non-technical users. Its principles are simplicity and standards
 compliance.
 .
 This package contains the common files, artwork and translations for
 Epiphany.

## epiphany-browser 3.31.91

=== debian/changelog ===
epiphany-browser (3.31.91-2) unstable; urgency=medium

  * debian/copyright: some corrections
  * Add disable-safe-browsing-test.patch:
    - Disable build test that requires Internet access

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 18 Feb 2019 20:44:09 -0500

epiphany-browser (3.31.91-1) unstable; urgency=medium

  * New upstream release
  * Convert debian/copyright to 1.0 format.
  * Exclude libdazzle code copy but keep libhandy since libhandy is too young
    to be included in Buster.
  * Build-Depend on gsettings-desktop-schemas-dev
  * Bump minimum libdazzle to 3.29.4 and glib to 2.56.0
  * Drop Use-etc-os-release-to-set-distributor-name.patch: Applied
  * Add use-the-static-build-option-for-libhandy.patch:
    - Proposed patch to correct the libhandy subproject install

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 18 Feb 2019 20:01:25 -0500

epiphany-browser (3.30.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 05 Feb 2019 15:21:12 -0500

epiphany-browser (3.30.2-2) unstable; urgency=medium

  * Add -Wl,-O1 -Wl,-z,defs to our LDFLAGS
  * Cherry-pick Use-etc-os-release-to-set-distributor-name.patch
  * Drop obsolete distributor_name configure flag
  * Drop obsolete Build-Depends on lsb-release
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 20:21:28 -0500

epiphany-browser (3.30.2-1) unstable; urgency=medium

  * New upstream release
  * Stop creating branding.conf since it is no longer supported
  * Opt out of Ubuntu language packs

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 25 Nov 2018 21:12:02 -0500

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib

override_dh_install-arch:
	dh_install -a
	cd debian/epiphany-browser/usr/bin \
		&& mv epiphany-browser.sh epiphany-browser

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
	xvfb-run dh_auto_test

## epiphany-browser 3.32.0

=== debian/changelog ===
epiphany-browser (3.32.0-1ubuntu1) disco; urgency=medium

  * Sync with Debian. Remaining change:
    - Modify 07_bookmarks.patch:
      + Add Ubuntu-specific default bookmarks, borrowed from Firefox

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 15 Mar 2019 05:40:17 -0400

epiphany-browser (3.32.0-1) unstable; urgency=medium

  [ Simon McVittie ]
  * New upstream release
    - Fix for running on 32-bit architectures (Closes: #922730)
  * Refresh patches
  * Disable tests that require network via a build option, not a patch
  * Drop use-the-static-build-option-for-libhandy.patch: Applied

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Mar 2019 05:25:23 -0400

epiphany-browser (3.31.91-1ubuntu2) disco; urgency=medium

  * Add disable-safe-browsing-test.patch:
    - Disable build test that requires Internet access

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 18 Feb 2019 20:41:12 -0500

epiphany-browser (3.31.91-1ubuntu1) disco; urgency=medium

  * Sync with Debian. Remaining change:
    - Modify 07_bookmarks.patch:
      + Add Ubuntu-specific default bookmarks, borrowed from Firefox

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 18 Feb 2019 20:11:04 -0500

epiphany-browser (3.30.2-1ubuntu1) disco; urgency=medium

  * Sync with Debian. Remaining change:
    - Modify 07_bookmarks.patch:
      + Add Ubuntu-specific default bookmarks, borrowed from Firefox

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 25 Nov 2018 21:23:21 -0500

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,12 @@
 Build-Depends: debhelper (>= 11),
                gnome-pkg-tools (>= 0.10),
                pkg-config,
-               libdazzle-1.0-dev (>= 3.28.0),
+               gsettings-desktop-schemas-dev,
+               libdazzle-1.0-dev (>= 3.29.4),
                libgdk-pixbuf2.0-dev (>= 2.36.5),
-               libglib2.0-dev (>= 2.52.0),
+               libglib2.0-dev (>= 2.56.0),
                libgtk-3-dev (>= 3.22.13),
+#               libhandy-0.0-dev (>= 0.0.8),
                libxml2-dev (>= 2.6.12),
                libxslt1-dev (>= 1.1.7),
                libsoup-gnome2.4-dev (>= 2.48.0),
@@ -24,9 +26,8 @@
                nettle-dev (>= 3.4),
                libnotify-dev (>= 0.5.1),
                libxml-parser-perl,
-               libwebkit2gtk-4.0-dev (>= 2.21.91-2),
+               libwebkit2gtk-4.0-dev (>= 2.21.92),
                libsecret-1-dev (>= 0.14),
-               lsb-release,
                meson (>= 0.42.0),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.10.7-1~),
@@ -37,7 +38,7 @@
                xvfb <!nocheck>,
                appstream-util
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://code.launchpad.net/~ubuntu-desktop/ubuntu/+source/epiphany-browser/+git/epiphany-browser
 Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/epiphany-browser
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/epiphany-browser

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,8 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--libexecdir=/usr/lib
+		--libexecdir=/usr/lib \
+		-Dnetwork_tests=disabled
 
 override_dh_install-arch:
 	dh_install -a

## epiphany-browser 3.32.1.2

=== meson_options.txt ===
option('developer_mode',
  type: 'boolean',
  value: false,
  description: 'Enable developer mode'
)

option('network_tests',
  type: 'feature',
  value: 'disabled',
  description: 'Enable tests that require network access, if unit_tests are enabled'
)

option('tech_preview',
  type: 'boolean',
  value: false,
  description: 'Enable Epiphany Tech Preview branding'
)

option('unit_tests',
  type: 'feature',
  value: 'enabled',
  description: 'Enable unit tests'
)

=== debian/changelog ===
epiphany-browser (3.32.1.2-3~deb10u3) buster-security; urgency=high

  * Non-maintainer upload by the Debian LTS team.
  * CVE-2023-26081: Prevent a potential credential stealing attack. When using
    a sandboxed Content Security Policy (CSP) or the HTML <iframe/> tag, the
    sandboxed web content was trusted by the main/surrounding resource. After
    this change, however, the password manager is disabled entirely in this
    situations so that the untrusted web content cannot exfiltrate passwords.
    (Closes: #1031727)

 -- Chris Lamb <lamby@debian.org>  Mon, 15 May 2023 12:42:43 -0700

epiphany-browser (3.32.1.2-3~deb10u2) buster-security; urgency=medium

  * CVE-2022-29536: buffer overflow write on pages with a long title, when
    shortening it and adding ellipsis (Closes: #1009959).
  * CVE-2021-45085, CVE-2021-45087, CVE-2021-45088: various XSS issues.
  * Fix-memory-leak-in-ephy-about-handler.patch: prereq for the above.
  * Revert-Revert-Remove-unsafe-process-model-and-proces.patch:
    - stop using deprecated no-op WebKit API, fixes test failures.
  * Remove-special-uri-scheme-ftp-handler.patch:
    - don't register ftp protocol, no longer allowed in newer WebKit (no-op,
      causes test failures).

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 17 Aug 2022 12:11:27 +0200

epiphany-browser (3.32.1.2-3~deb10u1) buster; urgency=medium

  * Team upload
  * Rebuild for Debian 10
    - d/gbp.conf: Set packaging branch to debian/buster

 -- Simon McVittie <smcv@debian.org>  Fri, 30 Aug 2019 22:39:13 +0100

epiphany-browser (3.32.1.2-3) unstable; urgency=medium

  * Team upload
  * d/gbp.conf: Set packaging branch to debian/unstable and upstream
    branch to upstream/3.32.x
  * d/p/lib-Give-libephymisc-a-RUNPATH-pointing-for-our-private-l.patch:
    Ensure that the web extension loads our bundled copy of libdazzle,
    even though it only depends on libdazzle transitively via
    libephymisc. Thanks to Carlos Alberto Lopez Perez for clarifying
    precisely which component was failing to load. (Closes: #927731)

 -- Simon McVittie <smcv@debian.org>  Fri, 30 Aug 2019 18:45:23 +0100

epiphany-browser (3.32.1.2-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable as requested on #924974

 -- Simon McVittie <smcv@debian.org>  Sat, 27 Apr 2019 22:21:57 +0100

epiphany-browser (3.32.1.2-1) experimental; urgency=medium

  * Team upload
  * d/copyright: Don't repack tarball to exclude libdazzle.
    Epiphany 3.32.x requires libdazzle 3.32, but we don't plan to update
    libdazzle in buster because that would also affect other packages.
    Version 3.32.1.2 provides a bundled copy of libdazzle again.
  * New upstream release
  * d/p/00_epiphany-browser.patch:
    Install bundled libdazzle to /usr/lib/MULTIARCH/epiphany-browser
    like other private libraries
  * d/rules: Don't install development files for bundled libdazzle
  * d/rules: Tell dh_shlibdeps where to find the bundled libdazzle
  * d/p/*: Update to upstream gnome-3-32 branch, commit
    3.32.1.2-14-g28eee99ad
    - Various bug fixes
    - Updated translations: ca da hr
    - d/copyright: Update for new CC-BY-SA-4.0 license of some icons
  * d/rules: Create a temporary home directory for build-time tests
    (taken from gnome-shell 3.30.2-7)
    - d/clean: Clean up the temporary home directory
  * Build-depend on at-spi2-core for build-time tests

 -- Simon McVittie <smcv@debian.org>  Sat, 20 Apr 2019 18:00:21 +0100

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,17 @@
 Source: epiphany-browser
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper (>= 11),
                gnome-pkg-tools (>= 0.10),
                pkg-config,
                gsettings-desktop-schemas-dev,
-               libdazzle-1.0-dev (>= 3.29.4),
+#               libdazzle-1.0-dev (>= 3.31.90),
                libgdk-pixbuf2.0-dev (>= 2.36.5),
                libglib2.0-dev (>= 2.56.0),
                libgtk-3-dev (>= 3.22.13),
-#               libhandy-0.0-dev (>= 0.0.8),
+#               libhandy-0.0-dev (>= 0.0.9),
                libxml2-dev (>= 2.6.12),
                libxslt1-dev (>= 1.1.7),
                libsoup-gnome2.4-dev (>= 2.48.0),
@@ -34,15 +33,14 @@
                iso-codes (>= 0.35),
                itstool,
                gtk-doc-tools (>= 1.0),
+               at-spi2-core <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
                appstream-util
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
 Standards-Version: 4.3.0
-Vcs-Browser: https://code.launchpad.net/~ubuntu-desktop/ubuntu/+source/epiphany-browser/+git/epiphany-browser
-Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/epiphany-browser
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/epiphany-browser
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/epiphany-browser.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/epiphany-browser
+Vcs-Git: https://salsa.debian.org/gnome-team/epiphany-browser.git
 Homepage: https://wiki.gnome.org/Apps/Web
 
 Package: epiphany-browser

=== debian/watch ===
version=4
https://download.gnome.org/sources/epiphany/([\d\.]+)/ \
	epiphany@ANY_VERSION@\.tar\.xz

## epiphany-browser 3.32.2

=== debian/changelog ===
epiphany-browser (3.32.2-1~ubuntu19.04.1) disco; urgency=medium

  * New upstream release (lp: #1830628)
  * debian/control.in:
    - update the webkitgtk requirement to 2.24.1

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 27 May 2019 17:01:52 +0200

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,18 @@
 Source: epiphany-browser
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper (>= 11),
                gnome-pkg-tools (>= 0.10),
                pkg-config,
                gsettings-desktop-schemas-dev,
-#               libdazzle-1.0-dev (>= 3.31.90),
+               libdazzle-1.0-dev (>= 3.29.4),
                libgdk-pixbuf2.0-dev (>= 2.36.5),
                libglib2.0-dev (>= 2.56.0),
                libgtk-3-dev (>= 3.22.13),
-#               libhandy-0.0-dev (>= 0.0.9),
+#               libhandy-0.0-dev (>= 0.0.8),
                libxml2-dev (>= 2.6.12),
                libxslt1-dev (>= 1.1.7),
                libsoup-gnome2.4-dev (>= 2.48.0),
@@ -25,7 +26,7 @@
                nettle-dev (>= 3.4),
                libnotify-dev (>= 0.5.1),
                libxml-parser-perl,
-               libwebkit2gtk-4.0-dev (>= 2.21.92),
+               libwebkit2gtk-4.0-dev (>= 2.24.1),
                libsecret-1-dev (>= 0.14),
                meson (>= 0.42.0),
                gobject-introspection (>= 0.9.12-4~),
@@ -33,14 +34,15 @@
                iso-codes (>= 0.35),
                itstool,
                gtk-doc-tools (>= 1.0),
-               at-spi2-core <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
                appstream-util
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
 Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/epiphany-browser
-Vcs-Git: https://salsa.debian.org/gnome-team/epiphany-browser.git
+Vcs-Browser: https://code.launchpad.net/~ubuntu-desktop/ubuntu/+source/epiphany-browser/+git/epiphany-browser
+Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/epiphany-browser
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/epiphany-browser
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/epiphany-browser.git
 Homepage: https://wiki.gnome.org/Apps/Web
 
 Package: epiphany-browser

## epiphany-browser 3.34.1

=== debian/changelog ===
epiphany-browser (3.34.1-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libwebkit2gtk-4.0-dev to 2.26.0
  * Drop git_offline_tests.patch: Applied in new release
  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 07 Oct 2019 19:56:25 -0400

epiphany-browser (3.34.0-2) experimental; urgency=medium

  * debian/patches/git_offline_tests.patch:
    - backport an upstream patch to have tests working offline, fixes the
      build on the Ubuntu builders.

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 16 Sep 2019 13:46:01 +0200

epiphany-browser (3.34.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@debian.org>  Wed, 11 Sep 2019 10:18:56 +0200

epiphany-browser (3.33.91-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - restore the build-depends on libdazzle
    - updated the glib/meson/webkitgtk requirements
  * debian/patches:
    - removed the upstream backports changes, they are included in
      the new version
  * debian/patches:
    - refresh the remaining distro patches
  * debian/rules:
    - remove the libdazzle copy hacks

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 21 Aug 2019 16:44:45 +0200

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,17 @@
 Source: epiphany-browser
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper (>= 11),
                gnome-pkg-tools (>= 0.10),
                pkg-config,
                gsettings-desktop-schemas-dev,
-               libdazzle-1.0-dev (>= 3.29.4),
+               libdazzle-1.0-dev (>= 3.31.90),
                libgdk-pixbuf2.0-dev (>= 2.36.5),
-               libglib2.0-dev (>= 2.56.0),
+               libglib2.0-dev (>= 2.61.2),
                libgtk-3-dev (>= 3.22.13),
-#               libhandy-0.0-dev (>= 0.0.8),
+#               libhandy-0.0-dev (>= 0.0.9),
                libxml2-dev (>= 2.6.12),
                libxslt1-dev (>= 1.1.7),
                libsoup-gnome2.4-dev (>= 2.48.0),
@@ -26,23 +25,22 @@
                nettle-dev (>= 3.4),
                libnotify-dev (>= 0.5.1),
                libxml-parser-perl,
-               libwebkit2gtk-4.0-dev (>= 2.24.1),
+               libwebkit2gtk-4.0-dev (>= 2.26.0),
                libsecret-1-dev (>= 0.14),
-               meson (>= 0.42.0),
+               meson (>= 0.46),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.10.7-1~),
                iso-codes (>= 0.35),
                itstool,
                gtk-doc-tools (>= 1.0),
+               at-spi2-core <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
                appstream-util
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
 Standards-Version: 4.3.0
-Vcs-Browser: https://code.launchpad.net/~ubuntu-desktop/ubuntu/+source/epiphany-browser/+git/epiphany-browser
-Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/epiphany-browser
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/epiphany-browser
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/epiphany-browser.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/epiphany-browser
+Vcs-Git: https://salsa.debian.org/gnome-team/epiphany-browser.git
 Homepage: https://wiki.gnome.org/Apps/Web
 
 Package: epiphany-browser

=== debian/rules ===
--- 
+++ 
@@ -20,4 +20,16 @@
 	dh_missing --fail-missing
 
 override_dh_auto_test:
-	xvfb-run dh_auto_test
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	# Avoid test failures on buildd environments where HOME,
+	# XDG_RUNTIME_DIR might be invalid
+	mkdir -p -m700 $(CURDIR)/debian/home/run
+	env \
+		-u XDG_CACHE_HOME \
+		-u XDG_CONFIG_DIRS \
+		-u XDG_CONFIG_HOME \
+		-u XDG_DATA_HOME \
+		HOME=$(CURDIR)/debian/home \
+		XDG_RUNTIME_DIR=$(CURDIR)/debian/home/run \
+		xvfb-run -a dh_auto_test
+endif

## epiphany-browser 3.36.0

=== debian/changelog ===
epiphany-browser (3.36.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Mar 2020 15:20:08 +0100

epiphany-browser (3.35.92-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 28 Feb 2020 21:01:13 +0100

epiphany-browser (3.35.91-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - build-depends on libhandy, upstream requires using the library now
    - updated the libdazzle, libsecret and webkitgtk requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 26 Feb 2020 11:53:09 +0100

## epiphany-browser 3.36.1

=== debian/changelog ===
epiphany-browser (3.36.1-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Mar 2020 19:36:41 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: epiphany-browser
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Sebastien Bacher <seb128@debian.org>
Build-Depends: appstream-util,
               at-spi2-core <!nocheck>,
               debhelper-compat (= 12),
               gnome-pkg-tools (>= 0.10),
               gobject-introspection (>= 0.9.12-4~),
               gsettings-desktop-schemas-dev,
               gtk-doc-tools (>= 1.0),
               iso-codes (>= 0.35),
               itstool,
               libdazzle-1.0-dev (>= 3.35.3),
               libgcr-3-dev (>= 3.5.5),
               libgdk-pixbuf2.0-dev (>= 2.36.5),
               libgirepository1.0-dev (>= 0.10.7-1~),
               libglib2.0-dev (>= 2.61.2),
               libgtk-3-dev (>= 3.22.13),
               libhandy-0.0-dev (>= 0.0.10),
               libjson-glib-dev (>= 1.2.0),
               libnotify-dev (>= 0.5.1),
               libsecret-1-dev (>= 0.19),
               libsoup-gnome2.4-dev (>= 2.48.0),
               libsqlite3-dev,
               libwebkit2gtk-4.0-dev (>= 2.27),
               libxml-parser-perl,
               libxml2-dev (>= 2.6.12),
               libxslt1-dev (>= 1.1.7),
               meson (>= 0.46),
               nettle-dev (>= 3.4),
               pkg-config,
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/gnome-team/epiphany-browser
Vcs-Git: https://salsa.debian.org/gnome-team/epiphany-browser.git
Homepage: https://wiki.gnome.org/Apps/Web

Package: epiphany-browser
Architecture: any
Depends: default-dbus-session-bus | dbus-session-bus,
         epiphany-browser-data (>= ${source:Version}),
         gsettings-desktop-schemas,
         iso-codes,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: swfdec-mozilla
Recommends: ca-certificates, evince, yelp
Provides: gnome-www-browser, www-browser
Description: Intuitive GNOME web browser
 Epiphany is a simple yet powerful GNOME web browser targeted at
 non-technical users. Its principles are simplicity and standards
 compliance.
 .
 Simplicity is achieved by a well designed user interface and reliance
 on external applications for performing external tasks (such as reading
 email). Simplicity does not mean less features; Epiphany has everything
 a modern web browser is expected to have.
 .
 Standards compliance is achieved on the HTML side by using the
 WebKitGTK+ rendering engine (which is based on the engine used by
 Apple Safari and Google Chrome); and on the user interface side by
 closely following the GNOME Human Interface Guidelines (HIG) and by
 close integration with the GNOME desktop.

Package: epiphany-browser-data
Architecture: all
Depends: ${misc:Depends}
Recommends: epiphany-browser
Description: Data files for the GNOME web browser
 Epiphany is a simple yet powerful GNOME web browser targeted at
 non-technical users. Its principles are simplicity and standards
 compliance.
 .
 This package contains the common files, artwork and translations for
 Epiphany.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--libexecdir=/usr/lib \
 		-Dnetwork_tests=disabled
 
 override_dh_install-arch:

## epiphany-browser 3.36.4

=== debian/changelog ===
epiphany-browser (3.36.4-0ubuntu2) focal-security; urgency=medium

  * SECURITY UPDATE: Fix memory corruption in ephy_string_shorten()
    - CVE-2022-29536 (LP: #1969851)
  * SECURITY UPDATE: Multiple XSS issues (LP: #1955362)
    - CVE-2021-45085 XSS exploit possible from the Most Visited page
    - CVE-2021-45086 XSS exploit possible with a PDF's suggested filename
    - CVE-2021-45087 XSS exploit possible in View Source or Reader Mode
    - CVE-2021-45087 XSS exploit possible via error pages

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 31 Jul 2022 16:32:14 -0400

epiphany-browser (3.36.4-0ubuntu1) focal; urgency=medium

  * New upstream release (lp: #1897908)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 30 Sep 2020 16:17:57 +0200

epiphany-browser (3.36.3-0ubuntu1) focal; urgency=medium

  * New upstream release (lp: #1886488)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 06 Jul 2020 16:23:10 +0200

epiphany-browser (3.36.2-0ubuntu1) focal; urgency=medium

  * New stable version (lp: #1883123)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 11 Jun 2020 17:59:10 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: epiphany-browser
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: appstream-util,
                at-spi2-core <!nocheck>,
@@ -39,8 +40,10 @@
                xvfb <!nocheck>
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
 Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/epiphany-browser
-Vcs-Git: https://salsa.debian.org/gnome-team/epiphany-browser.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/epiphany-browser
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/epiphany-browser.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/epiphany-browser/tree/ubuntu/focal
+Vcs-Git: https://salsa.debian.org/gnome-team/epiphany-browser.git -b ubuntu/focal
 Homepage: https://wiki.gnome.org/Apps/Web
 
 Package: epiphany-browser

## epiphany-browser 3.36.4-0ubuntu2%2B10.0trisquel1

=== debian/changelog ===
epiphany-browser (3.36.4-0ubuntu2+10.0trisquel1) nabia-security; urgency=medium

  * Epiphany browser compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 10 Aug 2022 13:37:15 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Source: epiphany-browser
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: appstream-util,

## epiphany-browser 3.38.1

=== debian/changelog ===
epiphany-browser (3.38.1-0build1) groovy; urgency=medium

  * New upstream version uploaded directly to Ubuntu, the Debian update
    staged some packaging cleanup changes which are fine to sync over but
    better to delay to next cycle
  * debian/control.in:
    - updated libhandy requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 07 Oct 2020 11:20:08 +0200

epiphany-browser (3.38.0-1) experimental; urgency=medium

  * New upstream release
  * debian/patches/webview_needs_online.patch:
    - removed the workaround, upstream fixes the issue differently

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Sep 2020 13:52:52 +0200

epiphany-browser (3.37.90-1) experimental; urgency=medium

  * New upstream release
  * debian/control:
    - updated the requirements on webkitgtk, libdazzle, libhandy
    - don't use libnotify anymore
    - build-depends on libportal-dev
  * debian/patches/Disable-webapps-test.patch,
    debian/patches/webview_needs_online.patch:
    - removed old undocumented workaround, let's see if it's still needed
    - disable another test that needs online access

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 18 Aug 2020 11:38:23 +0200

epiphany-browser (3.36.3-1) unstable; urgency=medium

  * New upstream release (lp: #1886488)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 06 Jul 2020 16:19:37 +0200

epiphany-browser (3.36.2-1) unstable; urgency=medium

  * New stable version (lp: #1883123)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 11 Jun 2020 17:59:10 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: epiphany-browser
 Section: gnome
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: appstream-util,
                at-spi2-core <!nocheck>,
@@ -17,19 +16,19 @@
                gtk-doc-tools (>= 1.0),
                iso-codes (>= 0.35),
                itstool,
-               libdazzle-1.0-dev (>= 3.35.3),
+               libdazzle-1.0-dev (>= 3.37.1),
                libgcr-3-dev (>= 3.5.5),
                libgdk-pixbuf2.0-dev (>= 2.36.5),
                libgirepository1.0-dev (>= 0.10.7-1~),
                libglib2.0-dev (>= 2.61.2),
                libgtk-3-dev (>= 3.22.13),
-               libhandy-0.0-dev (>= 0.0.10),
+               libhandy-1-dev (>= 1.0),
                libjson-glib-dev (>= 1.2.0),
-               libnotify-dev (>= 0.5.1),
+               libportal-dev,
                libsecret-1-dev (>= 0.19),
                libsoup-gnome2.4-dev (>= 2.48.0),
                libsqlite3-dev,
-               libwebkit2gtk-4.0-dev (>= 2.27),
+               libwebkit2gtk-4.0-dev (>= 2.29.3),
                libxml-parser-perl,
                libxml2-dev (>= 2.6.12),
                libxslt1-dev (>= 1.1.7),
@@ -40,10 +39,8 @@
                xvfb <!nocheck>
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
 Standards-Version: 4.5.0
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/epiphany-browser
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/epiphany-browser.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/epiphany-browser/tree/ubuntu/focal
-Vcs-Git: https://salsa.debian.org/gnome-team/epiphany-browser.git -b ubuntu/focal
+Vcs-Browser: https://salsa.debian.org/gnome-team/epiphany-browser
+Vcs-Git: https://salsa.debian.org/gnome-team/epiphany-browser.git
 Homepage: https://wiki.gnome.org/Apps/Web
 
 Package: epiphany-browser

## epiphany-browser 3.38.2

=== meson_options.txt ===
--- 
+++ 
@@ -16,6 +16,12 @@
   description: 'Enable Epiphany Tech Preview branding'
 )
 
+option('profile',
+  type: 'string',
+  value: '',
+  description: 'Build with appended profile to application ID'
+)
+
 option('unit_tests',
   type: 'feature',
   value: 'enabled',

=== debian/changelog ===
epiphany-browser (3.38.2-1+deb11u3) bullseye-security; urgency=medium

  * CVE-2022-29536: buffer overflow write on pages with a long title, when
    shortening it and adding ellipsis (Closes: #1009959).

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 15 Aug 2022 13:45:09 +0200

epiphany-browser (3.38.2-1+deb11u2) bullseye; urgency=medium

  * d/p/glib-bug-workaround.patch:
    - Cherry pick upstream patch ff8ecbf6. This works around a bug in GLib
      and fixes a UI process crash (Closes: #1005810).

 -- Alberto Garcia <berto@igalia.com>  Fri, 04 Mar 2022 11:17:26 +0100

epiphany-browser (3.38.2-1+deb11u1) bullseye-security; urgency=medium

  * d/p/encode-untrusted-data.patch:
    - Cherry pick upstream changes from c27a8180e until abac58c51.
    - Fixes CVE-2021-45085, CVE-2021-45086, CVE-2021-45087 and
      CVE-2021-45088.

 -- Alberto Garcia <berto@igalia.com>  Wed, 12 Jan 2022 18:33:21 +0100

epiphany-browser (3.38.2-1) unstable; urgency=medium

  * New upstream release
  * d/p/build-Allow-libportal-support-to-be-disabled.patch: Refreshed

 -- Laurent Bigonville <bigon@debian.org>  Thu, 17 Dec 2020 14:10:43 +0100

epiphany-browser (3.38.1-2) unstable; urgency=medium

  * Team upload
  * Preferentially build-depend on libgdk-pixbuf-2.0-dev.
    We don't need the deprecated Xlib integration that is also pulled in
    by the older libgdk-pixbuf2.0-dev package (see #974870).
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 27 Nov 2020 13:06:44 +0000

epiphany-browser (3.38.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Bump debhelper-compat to 13
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * Release to unstable

  [ Simon McVittie ]
  * Disable code paths that rely on libportal.
    It isn't clear that it's API-stable yet, and we're producing a .deb
    here, not a Flatpak app.
  * d/upstream/metadata: Add
  * Set Rules-Requires-Root to no

  [ Sebastien Bacher ]
  * debian/control.in:
    - updated libhandy requirement

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 07 Oct 2020 19:55:30 -0400

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Sebastien Bacher <seb128@debian.org>
+Uploaders: Alberto Garcia <berto@igalia.com>, Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: appstream-util,
                at-spi2-core <!nocheck>,
-               debhelper-compat (= 12),
-               gnome-pkg-tools (>= 0.10),
+               debhelper-compat (= 13),
+               dh-sequence-gnome,
                gobject-introspection (>= 0.9.12-4~),
                gsettings-desktop-schemas-dev,
                gtk-doc-tools (>= 1.0),
@@ -18,13 +18,12 @@
                itstool,
                libdazzle-1.0-dev (>= 3.37.1),
                libgcr-3-dev (>= 3.5.5),
-               libgdk-pixbuf2.0-dev (>= 2.36.5),
+               libgdk-pixbuf-2.0-dev (>= 2.36.5) | libgdk-pixbuf2.0-dev (>= 2.36.5),
                libgirepository1.0-dev (>= 0.10.7-1~),
                libglib2.0-dev (>= 2.61.2),
                libgtk-3-dev (>= 3.22.13),
                libhandy-1-dev (>= 1.0),
                libjson-glib-dev (>= 1.2.0),
-               libportal-dev,
                libsecret-1-dev (>= 0.19),
                libsoup-gnome2.4-dev (>= 2.48.0),
                libsqlite3-dev,
@@ -37,8 +36,9 @@
                pkg-config,
                xauth <!nocheck>,
                xvfb <!nocheck>
+Rules-Requires-Root: no
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/epiphany-browser
 Vcs-Git: https://salsa.debian.org/gnome-team/epiphany-browser.git
 Homepage: https://wiki.gnome.org/Apps/Web

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dlibportal=disabled \
		-Dnetwork_tests=disabled

override_dh_install-arch:
	dh_install -a
	cd debian/epiphany-browser/usr/bin \
		&& mv epiphany-browser.sh epiphany-browser

override_dh_auto_test:
	xvfb-run -a dh_auto_test

=== debian/watch ===
version=4
https://download.gnome.org/sources/epiphany/([\d\.]+[02468])/ \
	epiphany@ANY_VERSION@\.tar\.xz

## epiphany-browser 40.0

=== debian/changelog ===
epiphany-browser (40.0-2) experimental; urgency=medium

  * debian/patches/git_versions_tests.patch:
    - backport an upstream commit to use ~ in rc versions which was making
      a test fail, fixes the build

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 31 Mar 2021 11:09:09 +0200

epiphany-browser (40.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Mar 2021 21:07:27 +0100

epiphany-browser (40~rc-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 Mar 2021 15:31:48 +0100

epiphany-browser (40~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated requirements on libglib, libwebkitgtk, meson
    - build with the new libhandy
    - build-depends of libarchive-dev
  * Removed patches included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 26 Feb 2021 13:10:53 +0100

## epiphany-browser 40.1

=== debian/changelog ===
epiphany-browser (40.1-0ubuntu1) hirsute; urgency=medium

  * New stable update (lp: #1926939)
  * debian/patches/git_versions_tests.patch:
    - removed, included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 03 May 2021 10:58:09 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Alberto Garcia <berto@igalia.com>, Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: appstream-util,
                at-spi2-core <!nocheck>,
                debhelper-compat (= 13),
@@ -16,22 +16,23 @@
                gtk-doc-tools (>= 1.0),
                iso-codes (>= 0.35),
                itstool,
+               libarchive-dev,
                libdazzle-1.0-dev (>= 3.37.1),
                libgcr-3-dev (>= 3.5.5),
                libgdk-pixbuf-2.0-dev (>= 2.36.5) | libgdk-pixbuf2.0-dev (>= 2.36.5),
                libgirepository1.0-dev (>= 0.10.7-1~),
-               libglib2.0-dev (>= 2.61.2),
+               libglib2.0-dev (>= 2.64),
                libgtk-3-dev (>= 3.22.13),
-               libhandy-1-dev (>= 1.0),
+               libhandy-1-dev (>= 1.1),
                libjson-glib-dev (>= 1.2.0),
                libsecret-1-dev (>= 0.19),
                libsoup-gnome2.4-dev (>= 2.48.0),
                libsqlite3-dev,
-               libwebkit2gtk-4.0-dev (>= 2.29.3),
+               libwebkit2gtk-4.0-dev (>= 2.31.1),
                libxml-parser-perl,
                libxml2-dev (>= 2.6.12),
                libxslt1-dev (>= 1.1.7),
-               meson (>= 0.46),
+               meson (>= 0.47),
                nettle-dev (>= 3.4),
                pkg-config,
                xauth <!nocheck>,

## epiphany-browser 41.0

=== debian/changelog ===
epiphany-browser (41.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 16 Sep 2021 19:38:56 -0400

epiphany-browser (41~rc-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 11 Sep 2021 11:34:39 -0400

epiphany-browser (41~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum glib, meson & webkit2gtk

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 26 Aug 2021 19:59:18 -0400

epiphany-browser (40.3-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 21 Aug 2021 07:47:14 -0400

epiphany-browser (40.3-1) experimental; urgency=medium

  * New upstream release
  * Drop unneeded -Wl,--as-needed

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 20 Aug 2021 21:31:46 -0400

epiphany-browser (40.2-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Jun 2021 12:36:12 +0200

epiphany-browser (40.1-1) experimental; urgency=medium

  * New upstream release, remove patch included
  * debian/control.in:
    - updated build requirement
  * debian/watch:
    - Update to follow the new GNOME version scheme

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 03 May 2021 10:26:39 +0200

=== debian/control ===
--- 
+++ 
@@ -21,18 +21,18 @@
                libgcr-3-dev (>= 3.5.5),
                libgdk-pixbuf-2.0-dev (>= 2.36.5) | libgdk-pixbuf2.0-dev (>= 2.36.5),
                libgirepository1.0-dev (>= 0.10.7-1~),
-               libglib2.0-dev (>= 2.64),
+               libglib2.0-dev (>= 2.67.1),
                libgtk-3-dev (>= 3.22.13),
                libhandy-1-dev (>= 1.1),
-               libjson-glib-dev (>= 1.2.0),
+               libjson-glib-dev (>= 1.6),
                libsecret-1-dev (>= 0.19),
                libsoup-gnome2.4-dev (>= 2.48.0),
                libsqlite3-dev,
-               libwebkit2gtk-4.0-dev (>= 2.31.1),
+               libwebkit2gtk-4.0-dev (>= 2.33.2),
                libxml-parser-perl,
                libxml2-dev (>= 2.6.12),
                libxslt1-dev (>= 1.1.7),
-               meson (>= 0.47),
+               meson (>= 0.51.0),
                nettle-dev (>= 3.4),
                pkg-config,
                xauth <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
 %:
 	dh $@
